Status: Accepted Priority: Should have
Author: Christopher Hlubek Category: Security
Created: 2013-05-03 Assigned To: Robert Lemke
Updated: 2013-08-14 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Logging: Do not log all decisions in \TYPO3\Flow\Security\Aspect\LoggingAspect
Description

Logging all decisions for decideOnJoinPoint() and decideOnResource() is way to much if these decisions are used conditionally (e.g.
for the UI). This could end up with a lot of log entries (and of course some overhead).

History
#1 - 2013-05-21 12:02 - Robert Lemke
- Status changed from New to Needs Feedback
- Target version set to 2.1

Can you point me to where this is logged? Couldn't find it right away. If it's LOG_DEBUG, I don't consider this a problem though.

#2 - 2013-05-21 12:02 - Robert Lemke
- Category set to Security

#3 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)

#4 - 2013-05-21 13:50 - Christopher Hlubek

Robert Lemke wrote:

Can you point me to where this is logged? Couldn't find it right away. If it's LOG_DEBUG, I don't consider this a problem though.

See \TYPO3\Flow\Security\Aspect\LoggingAspect::logJoinPointAccessDecisions for example. It's all LOG_INFO, which is to high IMHO (imagine
iterating over objects and logging every decision).

#5 - 2013-08-14 16:10 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Assigned To set to Robert Lemke
